<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>

<body>
    <div class="container jumbotron bg-light">
        <h3 class="text-center text-info mb-4">CHI TIẾT COMMENT (BÌNH LUẬN)</h3>
        <div class="row form-group">
            <label class="col-sm-1 col-form-label"> ID: </label>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-comments-id" placeholder="...">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-sm-1 col-form-label"> Post ID: </label>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-comments-post" placeholder="...">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-sm-1 col-form-label">Email</label>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-comments-Email">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-sm-1 col-form-label">Name</label>
            <div class="col-sm-9">
                <input type="text" class="form-control" id="inp-comments-name">
            </div>
        </div>
        <div class="row form-group">
            <label class="col-sm-1 col-form-label"> Body : </label>
            <div class="col-sm-9">
                <textarea rows="5" class="form-control" placeholder="nội dung post"
                    id="area-comments-body">  </textarea>
            </div>
        </div>
    </div>
</body>
<script>
    $(document).ready(function () {
        onPageLoad();
    });
    //
    function onPageLoad() {
        var vUrlString = window.location.href;
        var vUrl = new URL(vUrlString);
        var vCommentId = vUrl.searchParams.get("id");
        if(vCommentId == "" || vCommentId == null)
        {
            window.location.href = "Task520A.html";
        }
        var vDuLieuHopLe = validate(vCommentId);
        if (vDuLieuHopLe) {
            const vURL_GET_POST_DETAIL = "https://jsonplaceholder.typicode.com/comments/" + vCommentId;
            $.ajax({
                url: vURL_GET_POST_DETAIL,
                type: 'GET',
                dataType: 'json',
                success: function (responseObject) {
                    showDataObject(responseObject);
                },
                error: function (ajaxContext) {
                    alert(ajaxContext.responseText);
                }
            });
        }
    }
    //
    function showDataObject(paramCommentObject) {
        $("#inp-comments-id").val(paramCommentObject.id);
        $("#inp-comments-post").val(paramCommentObject.postId);
        $("#inp-comments-Email").val(paramCommentObject.email);
        $("#inp-comments-name").val(paramCommentObject.name);
        $("#area-comments-body").val(paramCommentObject.body);
    }
    //
    function validate(paramUserIdObject) {
        if (paramUserIdObject === "") {
            alert("Chưa có dữ liệu");
            return false;
        }
        return true;
    }
</script>

</html>